DH_SYSTEMD_ENABLE(1)

NOM
dh_systemd_enable - Activer ou désactiver les fichiers unit de systemd

SYNOPSIS
dh_systemd_enable [options_de_debhelper] [--no-enable] [--name=nom] [fichier_unit ...]

DESCRIPTION
dh_systemd_enable est le programme de la suite debhelper chargé de l'activation et la désactivation des fichiers unit de systemd.

Dans le cas le plus simple, il trouve tous les fichiers unit installés par un paquet (p. ex. bacula-fd.service) et les active. Il n'est pas nécessaire que la machine fasse fonctionner systemd pendant l'installation. L'activation est effectuée sur tous les systèmes pour permettre de basculer de sysvinit à systemd, et réciproquement.

Dans les cas plus compliqués, vous pouvez appeler dh_systemd_enable et dh_systemd_start manuellement (en modifiant les cibles debian/rules) et spécifier les paramètres pour chaque fichier unit. Un exemple de cela est colord, qui fournit colord.service, un service activé par dbus sans section [Install], et qui ne peut donc pas être activé ou désactivé (un état appelé « static » par systemd). Pour cette raison, exécuter dh_systemd_enable est inutile.

Si vous souhaitez uniquement générer les blocs de certains fichiers service, vous devez les passer comme arguments. Par exemple dh_systemd_enable quota.service et dh_systemd_enable --name=quotarpc quotarpc.service.

FICHIERS

debian/paquet.service
    S'il existe, il est installé dans le répertoire de construction du paquet, sous lib/systemd/system/paquet.service.

debian/paquet.tmpfile
    S'il existe, il est installé dans le répertoire de construction du paquet, sous usr/lib/tmpfiles.d/paquet.conf (les mécanismes tmpfiles.d ne sont pour l'instant utilisés que par systemd).

OPTIONS

--no-enable
    Désactiver le(s) service(s) lors de la purge, mais ne pas l'activer par défaut.

--name=nom
    Installe le fichier service en utilisant le nom.service indiqué au lieu du nom paquet.service par défaut. Quand ce paramètre est employé, dh_systemd_enable recherche et installe le fichier appelé debian/paquet.nom.service, au lieu du debian/paquet.service habituel.

REMARQUES
Nota : Ce programme n'est pas idempotent. Un dh_prep(1) doit être réalisé entre chaque exécution de ce programme (avec les mêmes arguments). Sinon, il risque d'y avoir plusieurs occurrences des mêmes lignes de code dans les scripts de maintenance du paquet.

Nota : dh_systemd_enable devrait être exécuté avant dh_installinit. La séquence par défaut de dh les exécute dans le bon ordre et cette remarque n'est valable que lorsque dh_systemd_enable est appelé manuellement.

VOIR AUSSI
dh_systemd_start(1), debhelper(7)

AUTEURS
pkg-systemd-maintainers@lists.alioth.debian.org

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».